// two locals with the same name
class C {
    static public void main(String[] args) /*throws Exception*/ {
	m();
    }
    static { 
	m().toString();
    }
    static { 
	m(); n();
    }
    static { 
	o();
    }
    static Object m() {
	return n();
    }
    static Object n() {
	return o();
    }
    static Object o() {
	if (false)
	    return m();
	else
	    return false||true?null:"Hi";
    }
}
